Edit buyer
curl --request PUT \
--url https://cloud.memsource.com/web/api2/v1/buyers/{buyerUid} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://cloud.memsource.com/web/api2/v1/buyers/{buyerUid}"
payload = {}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://cloud.memsource.com/web/api2/v1/buyers/{buyerUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"defaultProjectOwner": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"uid": "<string>",
"vendorOrganization": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
}
}Buyer
Edit buyer
Changing the default project owner updates all project templates owned by the previous owner within this buyer’s vendor organization to use the new owner.
PUT
/
api2
/
v1
/
buyers
/
{buyerUid}
Edit buyer
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Unique identifier of the buyer
Body
application/json
Buyer edit request
Show child attributes
Show child attributes
Was this page helpful?
⌘I